Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0032039
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. Platformminorhave not tried2016-01-28 12:532016-03-17 10:56
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PriorityhighResolutionfixedFixed in Version3.0PR16Q2
StatusclosedFix in branchFixed in SCM revisiona67a1b567591
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0032039: Add generic mechanism to have multiple cached preferences

DescriptionIt would be nice to have a generic class which allows to have multiple cached preferences.

Currently the UnpagedRequestCachedPreference class caches the "Allow Unpaged Datasource Manual Request" preference.

This new class will allow to keep multiple preferences in cache.
Steps To ReproduceIn description
TagsNo tags attached.
Attached Filesdiff file icon issue32039.diff [^] (12,007 bytes) 2016-01-28 16:02 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00302043.0PR15Q4 closedcaristu prevent unpaged datsource request from manual sources 
related to defect 0032041 closedcaristu API change required for cached preference mechanism 
related to defect 0034499 closedcaristu [clustering] CachedPreference feature is not supported on clustered environments 

-  Notes
(0083661)
caristu (developer)
2016-01-28 14:00

Attached proposed fix. It has been pushed to try
(0083729)
hgbot (developer)
2016-01-29 13:39

Repository: erp/devel/pi
Changeset: a67a1b567591904aa8a132573a72fab119ebe062
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Fri Jan 29 13:34:12 2016 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/a67a1b567591904aa8a132573a72fab119ebe062 [^]

fixes issue 32039: Add generic mechanism to have multiple cached preferences

The new CachedPreference class can be used to keep the value of a preference defined at system level. The value of the 'Allow Unpaged Datasource Manual Request' preference is already handled by this class. So the UnpagedRequestCachedPreference is not needed anymore.

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/event/PreferenceEventHandler.java
M modules/org.openbravo.service.json/src/org/openbravo/service/json/DefaultJsonDataService.java
A modules/org.openbravo.client.application/src/org/openbravo/client/application/CachedPreference.java
R modules/org.openbravo.service.json/src/org/openbravo/service/json/UnpagedRequestCachedPreference.java
---
(0083946)
alostale (developer)
2016-02-05 08:53

code reviewed
(0083947)
hgbot (developer)
2016-02-05 08:58

Repository: erp/devel/pi
Changeset: 991ea0215b59919614d19dd8eb19c5634a1c9ca3
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Fri Feb 05 08:58:12 2016 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/991ea0215b59919614d19dd8eb19c5634a1c9ca3 [^]

related to issue 32039: reuse constant for upaged ds requests

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/CachedPreference.java
M modules/org.openbravo.service.json/src/org/openbravo/service/json/DefaultJsonDataService.java
---
(0085090)
hudsonbot (developer)
2016-03-17 10:55

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b22fb0500156 [^]
Maturity status: Test
(0085105)
hudsonbot (developer)
2016-03-17 10:56

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b22fb0500156 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-01-28 12:53 caristu New Issue
2016-01-28 12:53 caristu Assigned To => caristu
2016-01-28 12:53 caristu Modules => Core
2016-01-28 12:53 caristu Triggers an Emergency Pack => No
2016-01-28 12:54 caristu Relationship added related to 0030204
2016-01-28 13:59 caristu Relationship added related to 0032041
2016-01-28 14:00 caristu File Added: issue32039.diff
2016-01-28 14:00 caristu Note Added: 0083661
2016-01-28 14:13 caristu File Deleted: issue32039.diff
2016-01-28 14:13 caristu File Added: issue32039.diff
2016-01-28 14:14 caristu File Deleted: issue32039.diff
2016-01-28 14:14 caristu File Added: issue32039.diff
2016-01-28 16:02 caristu File Deleted: issue32039.diff
2016-01-28 16:02 caristu File Added: issue32039.diff
2016-01-29 13:39 hgbot Checkin
2016-01-29 13:39 hgbot Note Added: 0083729
2016-01-29 13:39 hgbot Status new => resolved
2016-01-29 13:39 hgbot Resolution open => fixed
2016-01-29 13:39 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/a67a1b567591904aa8a132573a72fab119ebe062 [^]
2016-01-29 13:41 caristu Issue Monitored: alostale
2016-01-29 13:41 caristu Review Assigned To => alostale
2016-02-05 08:53 alostale Note Added: 0083946
2016-02-05 08:53 alostale Status resolved => closed
2016-02-05 08:53 alostale Fixed in Version => 3.0PR16Q2
2016-02-05 08:58 hgbot Checkin
2016-02-05 08:58 hgbot Note Added: 0083947
2016-03-17 10:55 hudsonbot Checkin
2016-03-17 10:55 hudsonbot Note Added: 0085090
2016-03-17 10:56 hudsonbot Checkin
2016-03-17 10:56 hudsonbot Note Added: 0085105
2016-11-14 17:07 caristu Relationship added related to 0034499


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker